# Type Alias ApplicationBeforeFunction<Config, Ref, Env>

ApplicationBeforeFunction: (
this: Application<Config, Ref, Env>,
config: ConfigService,
options: Config,
environment: Env,
) => any | Promise<any>

#### Type Parameters

- Config extends object
- Ref extends RefWithInjector
- Env extends Environment = Environment

#### Type declaration

- - (
    this: Application<Config, Ref, Env>,
    config: ConfigService,
    options: Config,
    environment: Env,
    ): any | Promise<any>

  - #### Parameters

    - this: Application<Config, Ref, Env>
    - config: ConfigService
    - options: Config
    - environment: Env

    #### Returns any | Promise<any>

- Defined in application.ts:14